pfSense - Bug #6963

SSH Keyboard-Interactive Authentication fails on 2.3.2/2.4
11/25/2016 02:15 PM - Jim Pingle

Status: Resolved Start date: 11/25/2016

Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%

Category: User Manager / Privileges Estimated time: 0.00 hour

Target version: 2.3.3

Plus Target Version: Affected Version: 2.3.3

Release Notes: Default Affected All
Architecture:

Description
The ssh authentication "keyboard-interactive” method fails on 2.3.2 and 2.4

This is due to the use of UsePAM no globally in sshd_config

keyboard-interactive is more secure than plain password authentication and is preferable for environments where using only

key-based authentication is impractical.

Moving UsePAM no to the code block for key-based only auth works for both cases and has the intended net effect.

To me, | have a commit pending.

Associated revisions

Revision b35fc433 - 11/25/2016 02:08 PM - Jim Pingle

Disable PAM when using only key-based authentication, otherwise keyboard-interactive fails. Fixes #6963

Revision ec64b0a8 - 11/25/2016 02:17 PM - Jim Pingle

Disable PAM when using only key-based authentication, otherwise keyboard-interactive fails. Fixes #6963

Revision 8505ccf0 - 11/25/2016 02:17 PM - Jim Pingle

Disable PAM when using only key-based authentication, otherwise keyboard-interactive fails. Fixes #6963

History

#1 - 11/25/2016 04:11 PM - Jim Pingle
- Status changed from New to Feedback

| pushed a fix as stated. Works fine with and without key-based auth. Needs more testing once it hits snaps.

#2 - 11/28/2016 11:14 AM - Jim Pingle
- % Done changed from 0 to 100

Applied in changeset b35fc4331ac78f9459db00be04dc6b077f168593.

#3 - 11/30/2016 10:02 AM - Jim Pingle

- Status changed from Feedback to Resolved

Working now

#4 - 02/10/2017 10:29 AM - Jim Pingle
https://redmine.pfsense.org/projects/pfsense/repository/revisions/b35fc4331ac78f9459db00be04dc6b077f168593

- Target version changed from 2.4.0 to 2.3.3

#5 - 02/10/2017 10:30 AM - Jim Pingle
- Affected Version changed from 2.4 to 2.3.3
